Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class RuleParser

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.RuleParser

All Implemented Interfaces
  ContentHandler, ErrorHandler

Deprecated

    @Deprecated
    public class RuleParser

extends Object
implements ContentHandler, ErrorHandler

This class is not intended to be used concurrently.

Field Summary
`static String` | `cName` Deprecated

Constructor Summary
`RuleParser(QualificationDiscountDef def)` Deprecated

Method Summary
`void` | `characters(char[] chars, int start, int length)` Deprecated
`void` | `endDocument()` Deprecated
`void` | `endElement(String namespaceURI, String localName, String qName)` Deprecated
`void` | `endPrefixMapping(String prefix)` Deprecated
`void` | `error(SAXParseException e)` Deprecated
`void` | `fatalError(SAXParseException e)` Deprecated
`DiscountModifier` | `getModifier()` Deprecated
`SelectionRule` | `getSelectionRule()` Deprecated
`void` | `ignorableWhitespace(char[] chars, int start, int length)` Deprecated
`void` | `init()` Deprecated
`void` | `processingInstruction(String target, String data)` Deprecated
`boolean` | `run()` Deprecated
`void` | `setDocumentLocator(Locator locator)` Deprecated
`void` | `skippedEntity(String name)` Deprecated
`void` | `startDocument()` Deprecated
`void` | `startElement(String namespaceURI, String localName, String qName, Attributes attributes)` Deprecated
`void` | `startPrefixMapping(String prefix, String uri)` Deprecated
`void` | `warning(SAXParseException e)` Deprecated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### RuleParser

    public RuleParser(QualificationDiscountDef def)

  Deprecated

Method Detail

### init

    public void init()

  Deprecated

### run

    public boolean run()
                throws RuleParsingException

  Deprecated
  Throws
    `RuleParsingException`

### startElement

    public void startElement(String namespaceURI,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Deprecated
  Specified by:
    `startElement` in interface `ContentHandler`
  Throws
    `SAXException`

### characters

    public void characters(char[] chars,
                           int start,
                           int length)
                    throws SAXException

  Deprecated
  Specified by:
    `characters` in interface `ContentHandler`
  Throws
    `SAXException`

### endElement

    public void endElement(String namespaceURI,
                           String localName,
                           String qName)
                    throws SAXException

  Deprecated
  Specified by:
    `endElement` in interface `ContentHandler`
  Throws
    `SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] chars,
                                    int start,
                                    int length)
                             throws SAXException

  Deprecated
  Specified by:
    `ignorableWhitespace` in interface `ContentHandler`
  Throws
    `SAXException`

### processingInstruction

    public void processingInstruction(String target,
                                      String data)
                               throws SAXException

  Deprecated
  Specified by:
    `processingInstruction` in interface `ContentHandler`
  Throws
    `SAXException`

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Deprecated
  Specified by:
    `setDocumentLocator` in interface `ContentHandler`

### skippedEntity

    public void skippedEntity(String name)
                       throws SAXException

  Deprecated
  Specified by:
    `skippedEntity` in interface `ContentHandler`
  Throws
    `SAXException`

### startDocument

    public void startDocument()
                       throws SAXException

  Deprecated
  Specified by:
    `startDocument` in interface `ContentHandler`
  Throws
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Deprecated
  Specified by:
    `endDocument` in interface `ContentHandler`
  Throws
    `SAXException`

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri)
                            throws SAXException

  Deprecated
  Specified by:
    `startPrefixMapping` in interface `ContentHandler`
  Throws
    `SAXException`

### endPrefixMapping

    public void endPrefixMapping(String prefix)
                          throws SAXException

  Deprecated
  Specified by:
    `endPrefixMapping` in interface `ContentHandler`
  Throws
    `SAXException`

### error

    public void error(SAXParseException e)
               throws SAXException

  Deprecated
  Specified by:
    `error` in interface `ErrorHandler`
  Throws
    `SAXException`

### fatalError

    public void fatalError(SAXParseException e)
                    throws SAXException

  Deprecated
  Specified by:
    `fatalError` in interface `ErrorHandler`
  Throws
    `SAXException`

### warning

    public void warning(SAXParseException e)
                 throws SAXException

  Deprecated
  Specified by:
    `warning` in interface `ErrorHandler`
  Throws
    `SAXException`

### getSelectionRule

    public SelectionRule getSelectionRule()

  Deprecated

### getModifier

    public DiscountModifier getModifier()

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.